package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.box.*


class LotteryContract {
    interface View {
        fun setOneLotterResult(result: OneLotteryEntity?)
        fun setTestLotterResult(result: LotteryEntity?)
        fun setFiveLotterResult(result: FiveLotteryEntiy?)

        fun setPropsCardList(result: PropsCardList?, cardEntity: PropsCardEntity?)
    }

    interface Presenter {
        fun testLottery(boxid: String?)
        fun oneLottery(boxid: String?)
        fun fiveLottery(boxid: String?)

        fun getPropsCardList(boxid: String?, cardEntity: PropsCardEntity?)
        fun rePumpingOneLottery(boxid: String?, depotIds: String)//重抽单抽
        fun rePumpingFiveLottery(boxid: String?, depotIds: String)//重抽五连抽
    }
}